Subject: [PATCHv4] dmaengine: Add support for BCM2835

From: [email-masked] (Matt Porter)
Date: Thu, 14 Nov 2013 11:55:36 -0500

On Thu, Nov 14, 2013 at 05:23:08PM +0100, Tomasz Figa wrote:
> On Thursday 14 of November 2013 17:14:31 Florian Meier wrote:
> > >> >> I am becoming desperate anyway that this migration will ever fully
> > >> >> take place....
> > >> >
> > >> > Why not? It's just a matter of people like you working on this (and
> > >> > addressing some review comments ;)).
> > >>
> > >> The most common comment about this is that people will not put effort in
> > >> the upstream kernel as long as there is no comfortable way for debugging
> > >> in the upstream kernel (i.e. at least USB support).......
> > >
> > > Right, you need USB to have ethernet working. Still, IMHO UART (for
> > > console) + ethernet (for file transfer or NFS root) is the reasonable
> > > setup allowing you to debug further drivers in a comfortable way.
> > 
> > I am fine with UART and switching SD cards :-)
> > But apparently this is not generally accepted.
> 
> Still, isn't some work on USB support for RPi already going on? I believe
> Matt Porter (now on Cc) has been working on unifying dwc2 host-mode
> driver with Samsung s3c-hsotg device-mode driver (for the same IP) to
> get full OTG support on all applicable platforms.

Baby steps in that direction, yes. I need to finish the basic s3c-hsotg
and dwc2 host only enablement for my platform and then will be focused on
combining them.

-Matt